View Issue Details

IDProjectCategoryView StatusLast Update
0003463GNUnetcadet servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PriorityhighSeveritytweakReproducibilityN/A
Status closedResolutionwon't fix 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003463: Tweak "futures" bitfiled for channel ACKs
DescriptionThe "futures" field indicates all messasges received after the one indicated in the "ack" field.

Right now it enumerates messages in direct following order. Bit 0 is ack+1, bit 1 is ack+2 ... bit 63 is ack+64.

Since ack indicates the furthest contiguous message received, ack+1 will NEVER be set, it is implicit in ack that ack+1 is missing.

The futures field should be changed to bit 0 is ack+2 and bit 63 is ack+65.

WARNING: This breaks protocol retro-compatibility.
TagsNo tags attached.

Relationships

related to 0003456 closedBart Polot Cadet's flow control fails in the presence of data loss 

Activities

Bart Polot

2015-05-18 22:17

manager   ~0009130

ACK+1 will be set if receiving client is slow processing incoming traffic, the receiving service's buffer is full and the sender should slow down.

Issue History

Date Modified Username Field Change
2014-07-01 13:26 Bart Polot New Issue
2014-07-01 13:26 Bart Polot Status new => assigned
2014-07-01 13:26 Bart Polot Assigned To => Bart Polot
2014-07-01 13:26 Bart Polot Relationship added related to 0003456
2015-03-20 21:44 Christian Grothoff Priority normal => high
2015-04-30 12:59 Bart Polot Status assigned => acknowledged
2015-05-18 22:17 Bart Polot Note Added: 0009130
2015-05-18 22:17 Bart Polot Status acknowledged => resolved
2015-05-18 22:17 Bart Polot Resolution open => won't fix
2015-05-18 22:20 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed